local strings = {
   --tooltips
   PDCS_KNOWN                = "killed",

   PDCS_MOREINFO1            = "Town",
   PDCS_MOREINFO2            = "Solo dungeon",
   PDCS_MOREINFO3            = "Public dungeon",
   PDCS_MOREINFO4            = "Cave",

   --settings menu header
   PDCS_TITLE                = "PublicDungeonChampions",

   --appearance
   PDCS_MAPPINS_HEADER       = "Map Pins",
   
   PDCS_PIN_TEXTURE          = "Select map pin icons",
   PDCS_PIN_TEXTURE_DESC     = "Select map pin icons.",
   
   PDCS_KNOWN_COL            = "Color for killed champions",
   PDCS_KNOWN_COL_TIP        = "Select the pin color for already killed champions.",
   
   PDCS_UNKNOWN_COL          = "Color for not yet killed champions",
   PDCS_UNKNOWN_COL_TIP      = "Select the pin color for not yet killed champions.",
   
   PDCS_PIN_SIZE             = "Pin size",
   PDCS_PIN_SIZE_DESC        = "Set the size of the map pins.",
   
   PDCS_PIN_LAYER            = "Pin layer",
   PDCS_PIN_LAYER_DESC       = "Set the layer of the map pins",

   --compass
   PDCS_COMPASS_HEADER       = "Compass Pins",
 
   PDCS_COMPASS_KNOWN        = "Show killed Champions on the compass",
   PDCS_COMPASS_KNOWN_DESC   = "Show/hide icons for killed Champions on the compass.",

   PDCS_COMPASS_UNKNOWN      = "Show not yet killed Champions on the compass",
   PDCS_COMPASS_UNKNOWN_DESC = "Show/hide icons for not yet killed Champions on the compass.",

   PDCS_COMPASS_DIST         = "Max pin distance",
   PDCS_COMPASS_DIST_DESC    = "The maximum distance for pins to appear on the compass.",

   --filters
   PDCS_UNKNOWN              = "Show not yet killed Champions",
   PDCS_UNKNOWN_DESC         = "Show/hide icons for not yet killed Champions on the map.",
   PDCS_COLLECTED            = "Show killed Champions",
   PDCS_COLLECTED_DESC       = "Show/hide icons for already killed Champions on the map.",

   --worldmap filters
   PDCS_FILTER_UNKNOWN       = "Not yet killed Champions",
   PDCS_FILTER_COLLECTED     = "Killed Champions",
}

for stringId, stringValue in pairs(strings) do
   ZO_CreateStringId(stringId, stringValue)
   SafeAddVersion(stringId, 1)
end
